%load graf1.txt -ascii
load graf2.txt -ascii

% t, Isx, Isy, Isd, Isdw, Isq, Isqw, M, Fs, poloha, rychlost, rychlost_w,
% Urm, Urm_max, beta, zbeta, Uc

ind = 1:size(graf1,1);

% t, isx,isy, usx usy fme rychlost
figure
plot(graf1(ind,1),graf1(ind,2))     % Isx
hold on
plot(graf1(ind,1),graf2(ind,3),'r') % compare with g2
legend('Isx','Isy');

figure
plot(graf1(ind,1),graf2(ind,4))     % Isx
hold on
plot(graf1(ind,1),graf2(ind,5),'r') % compare with g2
legend('Usx','Usy');

figure
plot(graf1(ind,1),graf1(ind,25)/2/pi)     % fme_ekf
hold on
plot(graf1(ind,1),graf1(ind,11)/(2*pi),'r')     % fme skutecna
plot(graf1(ind,1),graf2(ind,6)/(2*pi),'g')     % fme MPF
legend('fme ekf','fme', 'fme mpf');

figure
plot(graf1(ind,1),graf1(ind,26))     % theta_elektricka_ekf
hold on
plot(graf1(ind,1),graf1(ind,10),'r')     % Poloha elektricka skutecna
plot(graf1(ind,1),graf2(ind,7),'g')     % theta_elektricka_mpf
legend('Theta ekf','Theta real', 'Theta MPF');

